*Replication code for Dietrich, "Donor Political Economies and the Pursuit of Aid Effectiveness", International Organization
*date 10/3/2014
******************************************
***Dyadic Donor-Recipient Year Analyses***
******************************************
use "dyadicbypass_replication", replace

**Main Manuscript (MM)
xtset dyadid year
*MM Table 1, Model 1
regress ln34isqYaidratio_m1  RESCgov2_av4l RESCavprcl2l lndd2_m1l  minorintrastatel lndistance colony lnimpexp2_m1l sc2 lnobssec34sum_pc_m1l lnsec_commdefl_2_m1l lnsec_commdefl_8_m1l mideast ssa asiapacif lamerica year d1-d22 if ccode1!=325 & year>2005, cluster(ccode2)
*MM Table 1, Model 2
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 RESCgov2_av4l RESCavprcl2l lndd2_m1l  minorintrastatel lndistance colony lnimpexp2_m1l sc2 lnobssec34sum_pc_m1l lnsec_commdefl_2_m1l lnsec_commdefl_8_m1l mideast ssa asiapacif lamerica year d1-d22 if ccode1!=325 & year>2005, cluster(ccode2)
*MM Table 1, Model 3
regress ln34isqYaidratio_m1 RESCgov2_av4l n6s4xRESCgov2_av4l n6s4 s3n4bxRESCgov2_av4l s3n4b RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l major sc2 lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l i.year rec1-rec141 if year<2012 & ccode1!=325 & year>2005, cluster(ccode2)
*MM Table 1, Model 4
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 RESCgov2_av4l n6s4xRESCgov2_av4l n6s4 s3n4bxRESCgov2_av4l s3n4b  RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l major sc2 lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l i.year rec1-rec141 if  year<2012 & ccode1!=325 & year>2005, cluster(ccode2)
*MM Figure 1, Binary Typology
gen recipval = _n-1 if _n<6
mat V =e(V)
foreach v of varlist s3n4b n6s4 {
scalar `v'b1=_b[`v'] 
scalar `v'b3=_b[`v'xRESCgov2_av4l] 
scalar `v'v1=_se[`v']^2 
scalar `v'v3=_se[`v'xRESCgov2_av4l]^2
tempname covb1b3 covb2b3 
mat `v'cov13=V["`v'","`v'xRESCgov2_av4l"]
gen `v'conb = `v'b1+`v'b3*recipval if recipval~=.
gen `v'conse = sqrt(`v'v1+`v'v3*(recipval^2) + 2*recipval*`v'cov13[1,1]) if recipval~=.
gen `v'consb = `v'conb
replace `v'consb = . if abs(`v'conb/`v'conse)<1.96
replace `v'conb=exp(`v'conb)/(1+exp(`v'conb))-.5 if `v'b3~=.
replace `v'consb = `v'conb if `v'consb~=.
}
generate str1 star="*" if recipval~=. 
graph twoway hist RESCgov2_av4l if e(sample), color(gs14) /*yaxis(2)*/ || line s3n4bconb n6s4conb recipval , yaxis(2) || ///
 scatter s3n4bconsb n6s4consb recipval , yscale(alt) yscale(alt axis(2)) mlabel(star star) yaxis(2) yline(0, axis(2)) /*title("Marginal Effects of Donor Political Economy on Bypass Across Quality of Recipient Governance", size(small))*/  ///
  msymbol(i ... ) legend(order(2 3 )) xlabel(0 (1) 4, nogrid labsize(2)) ylabel(, axis(1) nogrid labsize(2))  ylabel(0.1(0.1)1, /*axis(2)*/ nogrid labsize(2)) ylabel(0(.1).6, axis(2) nogrid labsize(2)) yscale(noline) yscale(noline axis(2)) xscale(noline) xtitle("Quality of Recipient Governance" , size(2.5), ) ytitle("Marginal Effect of Donor Political Economies",  size(2.5) axis(2)) ytitle("Governance Histogram",  size(2.5) axis(1) ) xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white))   legend(size(small) lab(1 "Density") lab(2 "CMEs") lab(3 "LMEs" )) 
drop  recipval- star
*MM Table 1, Model 5
regress ln34isqYaidratio_m1 RESCgov2_av4l neol6xRESCgov2_av4l neol6 scan4xRESCgov2_av4l scan4 stat3xRESCgov2_av4l stat3 neoc4bxRESCgov2_av4l neoc4b RESCavprcl2l lndd2_m1l  minorintrastatel lndistance colony lnimpexp2_m1l major sc2 lnobssec34sum_pc_m1l lnsec_commdefl_2_m1l lnsec_commdefl_8_m1l  i.year rec1-rec141 if  year>2005 & ccode1!=325 , cluster(ccode2)
*MM Table 1, Model 6 
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 RESCgov2_av4l neol6xRESCgov2_av4l neol6 scan4xRESCgov2_av4l scan4 stat3xRESCgov2_av4l stat3 neoc4bxRESCgov2_av4l neoc4b RESCavprcl2l lndd2_m1l  minorintrastatel lndistance colony lnimpexp2_m1l major sc2 lnobssec34sum_pc_m1l lnsec_commdefl_2_m1l lnsec_commdefl_8_m1l i.year rec1-rec141 if ccode1!=325 & year>2005, cluster(ccode2)
*MM Figure 1, Four-Fold Typology
gen recipval = _n-1 if _n<6
mat V =e(V)
foreach v of varlist stat3 neol6 neoc4b scan4 {
scalar `v'b1=_b[`v'] 
scalar `v'b3=_b[`v'xRESCgov2_av4l] 
scalar `v'v1=_se[`v']^2 
scalar `v'v3=_se[`v'xRESCgov2_av4l]^2 
tempname covb1b3 covb2b3 
mat `v'cov13=V["`v'","`v'xRESCgov2_av4l"] 
gen `v'conb = `v'b1+`v'b3*recipval if recipval~=.
gen `v'conse = sqrt(`v'v1+`v'v3*(recipval^2) + 2*recipval*`v'cov13[1,1]) if recipval~=.
gen `v'consb = `v'conb
replace `v'consb = . if abs(`v'conb/`v'conse)<1.96
replace `v'conb=exp(`v'conb)/(1+exp(`v'conb))-.5 if `v'b3~=.
replace `v'consb = `v'conb if `v'consb~=.
}
generate str1 star="*" if recipval~=. 
graph twoway hist RESCgov2_av4l if e(sample), color(gs14) || line stat3conb neol6conb neoc4bconb scan4conb recipval, yaxis(2) || ///
scatter stat3consb neol6consb neoc4bconsb scan4consb recipval , yscale(alt) yscale(alt axis(2)) mlabel(star star star star)  yaxis(2) yline(0, axis(2)) ///
 msymbol(i ... ) legend(order(2 3 4 5)) xlabel(0 (1) 4, nogrid labsize(2)) ylabel(, axis(1) nogrid labsize(2))  ylabel(0.1(0.1)1, nogrid labsize(2)) ylabel(-.4(.1).5, axis(2) nogrid labsize(2)) yscale(noline) yscale(noline axis(2)) xscale(noline)  xtitle("Quality of Recipient Governance" , size(2.5), ) ytitle("Marginal Effect of Donor Political Economies",  size(2.5) axis(2)) ytitle("Governance Histogram",  size(2.5) axis(1) ) xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white))   legend(size(small) lab(2 "Statist") lab(3 "Neoliberal" ) lab(4 "Neocorporatist") lab(5 "Scandinavian"))
drop  recipval- star

*MM Table 1, Model 7
regress ln34isqYaidratio_m1 RESCgov2_av4l av_gs_used  av_gs_usedxgov4l RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec141 i.year if year<2012 &  ccode1!=325 & year>2005, cluster(ccode2)
*MM Table 1, Model 8
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 RESCgov2_av4l av_gs_used  av_gs_usedxgov4l RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec141 i.year if  year<2012 & ccode1!=325 & year>2005, cluster(ccode2)
*MM Figure 7
regress ln34isqYaidratio_m1 c.av_gs_used##c.RESCgov2_av4l l.ln34isqYaidratio_m1 RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l i.year rec1-rec141 if year<2012 & ccode1!=325 & year>2005, cluster(ccode2)
capture program drop int2way3
qui do int2way3.do
int2way3, x(av_gs_used) z(RESCgov2_av4l) zval(0/5) zlabel(Quality of Governance) xlabel(Gov't Outsourcing)  dvlabel(Share of Bypass Aid) log addplot(yline(0, lcolor(black)) ylabel(-0.1(0.1)0.2) xscale(noline))

*MM Figures 1 and 4 cited, from Dietrich 2013 (see corresponding replication data)

*MM Figure 2 
graph bar av_gs_used if year==2009 , over(donor, label(angle(90)) sort(av_gs_used)) legend(size(medium) /*scheme(s2mono) graphregion(fcolor(white)*/)
graph bar av_outs_govtexp1 if year==2009 , over(donor, label(angle(90)) sort(av_outs_govtexp1)) legend(size(medium) /*scheme(s2mono)graphregion(fcolor(white)*/ )

*MM Figure 3
*set up
gen gov_type2=.
replace gov_type2=1 if scan4==1
replace gov_type2=2 if neol6==1
replace gov_type2=3 if neoc4b==1
replace gov_type2=4 if stat3==1
label define gov_type2 1 "Scandinavia" 2 "Neoliberal" 3 "Neocorporatist" 4 "Statist", replace
label values gov_type2 gov_type2
graph dot gs_used if year==2009, over(gov_type2, sort(1)des) ytitle("% Expenditure on Government Outsourcing of GDP")  /*scheme(s2mono)graphregion(fcolor(white)*/ 

*MM Figure 5
*Binary Typology 
gen donortype=.
replace donortype = 1 if s3n4b==1  
replace donortype = 2 if n6s4==1 
tab donor if donortype==.
recode RESCgov2_av4l  (0/1.5=1) (2.5/5=2) (else=.) , gen(recipgov)
label define d 1 "CMEs" 2 "LMEs" , 
label val donortype d
label define rg 1 "Bad" 2 "Good" , modify
label val recipgov rg
gen dmeanlo = .
gen dmeanhi = . 
gen dmean=.
gen rt = .
gen dt = .
gen c = exp(ln34isqYaidratio_m1)/(1+exp(ln34isqYaidratio_m1))
local j = 0 
forval i = 1/4 {
 ci c if recipgov==1 & donortype==`i' ,
replace dmean = r(mean) if _n==`++j'
replace dmeanlo = r(lb) if _n==`j'
replace dmeanhi = r(ub) if _n==`j'
replace dt = `i' if _n==`j'
replace rt = 1 if _n==`j'
 ci c  if recipgov==2 & donortype==`i' 
replace dmean = r(mean) if _n==`++j'
replace dmeanlo = r(lb) if _n==`j'
replace dmeanhi = r(ub) if _n==`j'
replace dt = `i' if _n==`j'
replace rt = 2 if _n==`j'
}
gen id = _n+(dt*2)+rt-2 if dt~=. 
label define d1 3 "CMEs" 7 "LMEs" , modify 
label val id d1 
twoway rcap  dmeanlo dmeanhi id if dmean~=.|| scatter dmean id if rt==1 & dmean~=., || scatter dmean id if rt==2 & dmean~=. , ///
xlab(3 7  , valu notick) msymbol(dh) legend(label(2 "Bad Governance") label(3 "Good Governance")order(2 3)) xtitle(Varieties of Political Economies) ylabel(0(.1).8) ytitle(% of Bilateral Aid Delivered as Bypass) scheme(s2mono) graphregion(fcolor(white)) 
drop donortype- id

*MM Figure 5
*Four-Fold Typology 
gen donortype = cond(stat3==1,1,cond(neoc4b==1,2,cond(neol6,3,cond(scan4,4,4 )))) 
tab donor if donortype==.
recode RESCgov2_av4l  (0/1.5=1) (2.5/5=2) (else=.) , gen(recipgov)
label define d4 1 "Statist" 2 "Neocorporatist" 3 "Neoliberal"   4 "Scandinavian" , 
label val donortype d4
label define rg 1 "Bad" 2 "Good" , modify
label val recipgov rg
gen dmeanlo = .
gen dmeanhi = . 
gen dmean=.
gen rt = .
gen dt = .
gen c = exp(ln34isqYaidratio_m1)/(1+exp(ln34isqYaidratio_m1))
local j = 0 
forval i = 1/4 {
 ci c if recipgov==1 & donortype==`i' ,
replace dmean = r(mean) if _n==`++j'
replace dmeanlo = r(lb) if _n==`j'
replace dmeanhi = r(ub) if _n==`j'
replace dt = `i' if _n==`j'
replace rt = 1 if _n==`j'
 ci c  if recipgov==2 & donortype==`i' 
replace dmean = r(mean) if _n==`++j'
replace dmeanlo = r(lb) if _n==`j'
replace dmeanhi = r(ub) if _n==`j'
replace dt = `i' if _n==`j'
replace rt = 2 if _n==`j'
}
gen id = _n+(dt*2)+rt-2 if dt~=. 
label define d5 3 "Statist" 7 "Neocorporatist" 11 "Neoliberal" 15 "Scandinavian" 19 "." , 
label val id d5
twoway rcap  dmeanlo dmeanhi id || scatter dmean id if rt==1 , || scatter dmean id if rt==2 , ///
 xlab(3 7 11 15 19 , valu notick)  ylabel(0(.1).8) msymbol(dh) legend(label(2 "Bad Governance") label(3 "Good Governance")order(2 3)) xtitle(Varieties of Political Economies) ytitle(% of Bilateral Aid Delivered as Bypass) scheme(s2mono) graphregion(fcolor(white)) 
drop donortype- id

****************************
**Appendix (A)**************
****************************

*A Figure 2
hist RESCgov2_av4l if e(sample),  scheme(sj)

*A Table 2, Model 1
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 RESCgov2_av4l s3n4bxRESCgov2_av4l s3n4b n6s4xRESCgov2_av4l n6s4 RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l major sc2 lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l i.year d1-d22 rec1-rec141 if year<2012 & ccode1!=325 & year>2005, cluster(ccode2)
*A Figure 3 - Binary Distinction
gen meff=.
forval j = 1/5 {
replace meff = exp(_b[s3n4bxRESCgov2_av4l]*`j')/(1+exp(_b[s3n4bxRESCgov2_av4l]*`j')) if _n==`j'
}
gen meff2=.
forval j = 1/5 {
replace meff2 = exp(_b[n6s4xRESCgov2_av4l]*`j')/(1+exp(_b[n6s4xRESCgov2_av4l]*`j')) if _n==`j'
}
gen id = _n if _n<6
replace id=id-1
graph twoway line meff meff2 id, msymbol(i ... ) legend(order(1 2 )) ylabel(0.0(0.2)1) xtitle("Quality of Recipient Governance" , size(2.5), ) ytitle("Marginal Effect of Donor Political Economies",  size(2.5) ) scheme(s2mono) graphregion(fcolor(white))   legend(size(small) lab(1 "CMEs") lab(2 "LMEs" )) 
drop id

*A Table 2, Model 2
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 RESCgov2_av4l neol6xRESCgov2_av4l neol6 scan4xRESCgov2_av4l scan4 stat3xRESCgov2_av4l stat3 neoc4bxRESCgov2_av4l neoc4b RESCavprcl2l lndd2_m1l  minorintrastatel lndistance colony lnimpexp2_m1l major sc2 lnobssec34sum_pc_m1l lnsec_commdefl_2_m1l lnsec_commdefl_8_m1l i.year d1-d22 rec1-rec141  if ccode1!=325 & year>2005, cluster(ccode2)
*A Figure 3 - Four-Fold Distinction
gen meffneol=.
forval j = 1/5 {
replace meffneol = exp(_b[neol6xRESCgov2_av4l]*`j')/(1+exp(_b[neol6xRESCgov2_av4l]*`j')) if _n==`j'
}
gen meffscan=.
forval j = 1/5 {
replace meffscan = exp(_b[scan4xRESCgov2_av4l]*`j')/(1+exp(_b[scan4xRESCgov2_av4l]*`j')) if _n==`j'
}
gen meffstat=.
forval j = 1/5 {
replace meffstat = exp(_b[stat3xRESCgov2_av4l]*`j')/(1+exp(_b[stat3xRESCgov2_av4l]*`j')) if _n==`j'
}
gen meffneoc=.
forval j = 1/5 {
replace meffneoc = exp(_b[neoc4bxRESCgov2_av4l]*`j')/(1+exp(_b[neoc4bxRESCgov2_av4l]*`j')) if _n==`j'
}
gen id = _n if _n<6
replace id=id-1
graph twoway line meffneol meffscan meffstat meffneoc id, msymbol(i ... ) legend(order(1 2 3 4)) ylabel(0.0(0.2)1) xtitle("Quality of Recipient Governance" , size(2.5), ) ytitle("Marginal Effect of Donor Political Economies",  size(2.5) ) scheme(s2mono) graphregion(fcolor(white))   legend(size(small) lab(1 "Neoliberal") lab(2 "Scandinavian" ) lab(3 "Statist") lab(4 "Neocorporatist"))
drop id

*A Table 2, Model 3
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 RESCgov2_av4l av_gs_used  av_gs_usedxgov4l RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l i.year d1-d22 rec1-rec141 if year<2012 & ccode1!=325 & year>2005, cluster(ccode2)
*A Figure 4
gen meffout=.
forval j = 1/5 {
replace meffout = exp(_b[av_gs_usedxgov4l]*`j')/(1+exp(_b[av_gs_usedxgov4l]*`j')) if _n==`j'
}
gen id = _n if _n<6
replace id=id-1
graph twoway line meffout id, msymbol(i ... ) ylabel(0.0(0.1)0.6) xtitle("Quality of Recipient Governance" , size(2.5), ) ytitle("Marginal Effect of Donor Political Economies",  size(2.5) ) scheme(s2mono) graphregion(fcolor(white))  
drop id

*A Table 3 Model 1 
regress ln34isqYaidratio_m1 RESCgov2_av4l av_outs_govtexp1 av_outs_govtxgov41l RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec141 i.year if year<2012 &  ccode1!=325 & year>2005, cluster(ccode2)
*A Table 3 Model 2 
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 RESCgov2_av4l av_outs_govtexp1 av_outs_govtxgov41l RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec141 i.year if year<2012 &  ccode1!=325 & year>2005, cluster(ccode2)

*A Table 4 Model 1
regress ln34isqYaidratio_m1 RESCgov2_av4l s3n4b s3n4bxRESCgov2_av4l n6s4 n6s4xRESCgov2_av4l RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 lnngo_TOTAL2_m1l lnigo_TOTAL2_m1l major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec141 i.year if year<2012 & ccode1!=325 & year>2005, cluster(ccode2)
*A Table 4 Model 2
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 RESCgov2_av4l s3n4b s3n4bxRESCgov2_av4l n6s4 n6s4xRESCgov2_av4l RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 lnngo_TOTAL2_m1l lnigo_TOTAL2_m1l major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec140 i.year if  year<2012 & ccode1!=325 & year>2005, cluster(ccode2)
*A Table 4 Model 3 
regress ln34isqYaidratio_m1 RESCgov2_av4l s3n4b s3n4bxRESCgov2_av4l n6s4 n6s4xRESCgov2_av4l RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2  lntot2000_TOTAL2_m1 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec140 i.year if year<2012 & ccode1!=325 & year>2005, cluster(ccode2)
*A Table 4 Model 4 
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 RESCgov2_av4l s3n4b s3n4bxRESCgov2_av4l n6s4 n6s4xRESCgov2_av4l RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 lntot2000_TOTAL2_m1 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec140 i.year if year<2012 & ccode1!=325 & year>2005, cluster(ccode2)

*A-Table 5
*data set up
preserve
collapse (mean) RESCgov2_av4l , by(ccode2 year)
drop if RESCgov2_av4l==.
sort ccode2 year
by ccode2: gen initial_gov=RESCgov2_av4l[1]
tempfile init
sort ccode2 year
save `init'
restore
sort ccode2 year
merge m:1 ccode2 year using `init'
xtset dyadid year
*A-Table 5 Model 1
regress ln34isqYaidratio_m1 initial_gov RESCgov2_av4l s3n4bxRESCgov2_av4l s3n4b n6s4xRESCgov2_av4l n6s4 RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec141 i.year if  year<2012 &  ccode1!=325  & year>2005, cluster(ccode2)
*A-Table 5 Model 2
regress ln34isqYaidratio_m1 initial_gov RESCgov2_av4l s3n4bxRESCgov2_av4l s3n4b n6s4xRESCgov2_av4l n6s4 RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l i.year if year<2012 &  ccode1!=325 & year>2005, cluster(ccode2)
*A-Table 5 Model 3
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 initial_gov RESCgov2_av4l s3n4bxRESCgov2_av4l s3n4b n6s4xRESCgov2_av4l n6s4 RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec141 i.year if year<2012 & ccode1!=325 & year>2005, cluster(ccode2)
*A-Table 5 Model 4
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 initial_gov RESCgov2_av4l s3n4bxRESCgov2_av4l s3n4b n6s4xRESCgov2_av4l n6s4 RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l i.year if year<2012 & ccode1!=325 & year>2005, cluster(ccode2)

*A-Figure 5
regress ln34isqYaidratio_m1 l.ln34isqYaidratio_m1 initial_gov RESCgov2_av4l s3n4bxRESCgov2_av4l s3n4b n6s4xRESCgov2_av4l n6s4 RESCavprcl2l lndd2_m1l minorintrastatel lndistance colony lnimpexp2_m1l sc2 major lnobssec34sum_pc_m1l lnsec_commdefl_8_m1l lnsec_commdefl_2_m1l rec1-rec141 i.year if  year<2012 & ccode1!=325  & year>2005, cluster(ccode2)
gen recipval = _n-1 if _n<6
mat V =e(V)
foreach v of varlist s3n4b n6s4 {
scalar `v'b1=_b[`v'] 
scalar `v'b3=_b[`v'xRESCgov2_av4l] 

scalar `v'v1=_se[`v']^2
scalar `v'v3=_se[`v'xRESCgov2_av4l]^2

tempname covb1b3 covb2b3 
mat `v'cov13=V["`v'","`v'xRESCgov2_av4l"]
gen `v'conb = `v'b1+`v'b3*recipval if recipval~=.

gen `v'conse = sqrt(`v'v1+`v'v3*(recipval^2) + 2*recipval*`v'cov13[1,1]) if recipval~=.
gen `v'consb = `v'conb
replace `v'consb = . if abs(`v'conb/`v'conse)<1.96
replace `v'conb=exp(`v'conb)/(1+exp(`v'conb))-.5 if `v'b3~=.
replace `v'consb = `v'conb if `v'consb~=.

}
generate str1 star="*" if recipval~=. 
graph twoway hist RESCgov2_av4l if e(sample), color(gs14) /*yaxis(2)*/ || line s3n4bconb n6s4conb recipval , yaxis(2) || ///
 scatter s3n4bconsb n6s4consb recipval , yscale(alt) yscale(alt axis(2)) mlabel(star star) yaxis(2) yline(0, axis(2)) title("Marginal Effects of Donor Political Economy on Bypass Across Quality of Recipient Governance", size(small))  ///
  msymbol(i ... ) legend(order(2 3 )) xlabel(0 (1) 4, nogrid labsize(2)) ylabel(, axis(1) nogrid labsize(2))  ylabel(0.1(0.1)1, /*axis(2)*/ nogrid labsize(2)) ylabel(0(.1).6, axis(2) nogrid labsize(2)) yscale(noline) yscale(noline axis(2)) xscale(noline) xtitle("Quality of Recipient Governance" , size(2.5), ) ytitle("Marginal Effect of Donor Political Economies",  size(2.5) axis(2)) ytitle("Governance Histogram",  size(2.5) axis(1) ) xsca(titlegap(2)) ysca(titlegap(2)) scheme(s2mono) graphregion(fcolor(white))   legend(size(small) lab(1 "Density") lab(2 "CMEs") lab(3 "LMEs" )) /*lab(4 "Neocorporatist") lab(5 "Scandinavian")*/
drop  recipval- star




















