*Replication code for Dietrich, "Donor Political Economies and the Pursuit of Aid Effectiveness", International Organization
*date 10/3/2014
******************************************
***Survey with Donor Officials***
******************************************
use "eliteinterviewdatav2b_replication", clear

*Main Manuscript (MM)
*MM Figure 8 -Ranking Measure
ciplot q133 q126 q128 if pe==0 | pe==1, by(pe) ylabel(1/5) ylabel(,angle(45) labsize(small)) xlabel(,labsize(small)) ytitle(Ranking of Government as Delivery Channel) legend(label(2 "Good Performer") label(3 "Good Performer, Corruption Scandal") label(4 "Weak State, Low Corruption")order(2 3 4) size(vsmall)) xtitle(Political Economy, size(small)) scheme(s2mono) graphregion(fcolor(white)) play(label3.grec)
*MM Figure 8 -Proportional Measure
ciplot q132 q135 q136 if pe==0 | pe==1, by(pe) ylabel(1/5) ylabel(,angle(45) labsize(small)) xlabel(,labsize(small)) ytitle(Bilateral Aid Through Government) legend(label(2 "Good Performer") label(3 "Good Performer, Corruption Scandal") label(4 "Weak State, Low Corruption")order(2 3 4) size(vsmall)) xtitle(Political Economy, size(small)) scheme(s2mono) graphregion(fcolor(white)) play(label2.grec)

*MM Table 3 - Time Horizon
ttest q139, by(pe)
*MM Table 3 State-Building
ttest q142, by(pe)

*MM Table 2 
*data set up for diff-in-diff
gen id=.
replace id=_n if id==.

reshape long q, i(id pe) j(scen)
*MM Table 2 - Ranking Measure Country A to Country C
gen prepost1=cond(scen==126,1,cond(scen==133,0,.))
label var prepost1 "good to corrupt, govt ranking" 
*MM Table 2 - Ranking Measure Country A to Country B
gen prepost2=cond(scen==128,1,cond(scen==133,0,.))
label var prepost2 "good to weak, govt ranking" 
*MM Table 2 - Ranking Measure Country A to Country C
gen prepost3=cond(scen==135,1,cond(scen==132,0,.))
label var prepost3 "good to corrupt, govt levels" 
*MM Table 2 - Ranking Measure Country A to Country B
gen prepost4=cond(scen==136,1,cond(scen==132,0,.))
label var prepost4 "good to weak, govt levels" 

diff q, period(prepost1) treated(pe)
diff q, period(prepost2) treated(pe)
diff q, period(prepost3) treated(pe)
diff q, period(prepost4) treated(pe)

